/* -*- c++ -*- */
/*
 * Copyright 2013, 2014 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * GNU Radio is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * GNU Radio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNU Radio; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */

#if HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdlib.h>
#include <volk/constants.h>

const char*
volk_prefix()
{
  const char *prefix = getenv("VOLK_PREFIX");
  if (prefix != NULL) return prefix;
  return "/usr";
}

const char*
volk_version()
{
  return "2.5.0";
}

const char*
volk_c_compiler()
{
  return "x86_64-nilrt-linux-gcc (GCC) 10.3.0 \nCopyright (C) 2020 Free Software Foundation, Inc. \nThis is free software see the source for copying conditions.  There is NO \nwarranty not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.";
}

const char*
volk_compiler_flags()
{
  return "/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot-native/usr/bin/x86_64-nilrt-linux/x86_64-nilrt-linux-gcc:::  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot=                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot -fcx-limited-range -Wall -Werror=incompatible-pointer-types -Werror=pointer-sign \n/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot-native/usr/bin/x86_64-nilrt-linux/x86_64-nilrt-linux-g++:::  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot=                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot-native=  -fvisibility-inlines-hidden  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot -fcx-limited-range -Wall \ngeneric:::GNU:::-DNDEBUG  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot=                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot -fcx-limited-range -Wall -Werror=incompatible-pointer-types -Werror=pointer-sign  \nsse2_64_mmx:::GNU:::-DNDEBUG  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot=                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot -fcx-limited-range -Wall -Werror=incompatible-pointer-types -Werror=pointer-sign -m64 -mmmx -msse -msse2 \nsse3_64_mmx:::GNU:::-DNDEBUG  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot=                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot -fcx-limited-range -Wall -Werror=incompatible-pointer-types -Werror=pointer-sign -m64 -mmmx -msse -msse2 -msse3 \nssse3_64_mmx:::GNU:::-DNDEBUG  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot=                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot -fcx-limited-range -Wall -Werror=incompatible-pointer-types -Werror=pointer-sign -m64 -mmmx -msse -msse2 -msse3 -mssse3 \nsse4_a_64_mmx:::GNU:::-DNDEBUG  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot=                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot -fcx-limited-range -Wall -Werror=incompatible-pointer-types -Werror=pointer-sign -m64 -mmmx -msse -msse2 -msse3 -msse4a -mpopcnt \nsse4_1_64_mmx:::GNU:::-DNDEBUG  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot=                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot -fcx-limited-range -Wall -Werror=incompatible-pointer-types -Werror=pointer-sign -m64 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 \nsse4_2_64_mmx:::GNU:::-DNDEBUG  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot=                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot -fcx-limited-range -Wall -Werror=incompatible-pointer-types -Werror=pointer-sign -m64 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt \navx_64_mmx:::GNU:::-DNDEBUG  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot=                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot -fcx-limited-range -Wall -Werror=incompatible-pointer-types -Werror=pointer-sign -m64 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt -mavx \navx2_64_mmx:::GNU:::-DNDEBUG  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot=                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot -fcx-limited-range -Wall -Werror=incompatible-pointer-types -Werror=pointer-sign -m64 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt -mavx -mfma -mavx2 \navx512f_64_mmx:::GNU:::-DNDEBUG  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot=                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot -fcx-limited-range -Wall -Werror=incompatible-pointer-types -Werror=pointer-sign -m64 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt -mavx -mfma -mavx2 -mavx512f \navx512cd_64_mmx:::GNU:::-DNDEBUG  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0=/usr/src/debug/volk/2.5.0-r0                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot=                      -fdebug-prefix-map=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/home/rfmibuild/myagent/_work/_r/0/src/rtos/rtosfeedsd/rtos_oe_feeds/objects/oe_feed_extras/linuxU/x64/gcc-4.7-oe/release/build-extra/tmp-glibc/work/core2-64-nilrt-linux/volk/2.5.0-r0/recipe-sysroot -fcx-limited-range -Wall -Werror=incompatible-pointer-types -Werror=pointer-sign -m64 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt -mavx -mfma -mavx2 -mavx512f -mavx512cd";
}

const char*
volk_available_machines()
{
  return "generic;sse2_64_mmx;sse3_64_mmx;ssse3_64_mmx;sse4_a_64_mmx;sse4_1_64_mmx;sse4_2_64_mmx;avx_64_mmx;avx2_64_mmx;avx512f_64_mmx;avx512cd_64_mmx";
}
